<xml></xml>

Saxon API for .NET |

# XPathCompiler.DeclareNamespace Method

Declare a namespace for use by the XPath expression.

public void DeclareNamespace(
string prefix,
string uri
);

#### Parameters

prefix
  The namespace prefix to be declared. Use a zero-length string to declare the default namespace (that is, the default namespace for elements and types).
uri
  The namespace URI. It is possible to specify a zero-length string to "undeclare" a namespace.

#### See Also

XPathCompiler Class | Saxon.Api Namespace